ENV(1)

NUME
env - rulează un program într-un mediu (environment) modificat

SINOPSIS
env [OPȚIUNE]... [-] [NUME=VALOARE]... [COMANDA [ARG]...]

DESCRIERE

Atribuie VALOAREA dată variabilei de mediu NUME și execută COMANDĂ.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-a, --argv0=ARG
    pasează ARG ca argumentul zero al COMENZII

-i, --ignore-environment
    pornește cu un mediu gol

-0, --null
    termină fiecare linie afișată cu NUL, nu cu o nouă linie

-u, --unset=NUME
    elimină variabila numită NUME din mediu

-C, --chdir=DIR
    schimbă directorul de lucru la DIR

-S, --split-string=ȘIR
    procesează și împarte ȘIRUL în argumente separate; folosită pentru a trece mai multe argumente pe liniile „#!” din scripturi

--block-signal[=SIG]
    blochează livrarea semnalelor SIG către COMANDĂ

--default-signal[=SIG]
    reinițiază gestionarea semnalelor SIG la valoarea implicită

--ignore-signal[=SIG]
    indică gestionarului semnalului/semnalelor SIG să nu facă nimic

--list-signal-handling
    listează gestionarea semnalelor non-standard la ieșirea de eroare standard

-v, --debug
    afișează informații detaliate pentru fiecare pas de procesare

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Un simplu - implică -i. Dacă nu există o COMANDĂ, se afișează mediul rezultat.

SIG poate fi un nume de semnal, cum ar fi „PIPE”, sau un număr de semnal, cum ar fi „13”. Fără SIG, sunt incluse toate semnalele cunoscute. Semnalele multiple pot fi separate prin virgulă. Un argument SIG gol este un argument de tip („no operation”: no-op); indică comenzii să nu facă nimic.

  Starea de ieșire:

125 dacă însăși comanda env eșuează

126 dacă COMANDA este găsită, dar nu poate fi invocată

127 dacă COMANDA nu poate fi găsită

-   starea de ieșire a COMENZII în caz contrar

GESTIONAREA OPȚIUNILOR DE SCRIPT
Opțiunea -S permite specificarea mai multor argumente într-un script. Rularea unui script numit 1.pl care conține următoarea primă linie:

    #!/usr/bin/env -S perl -w -T
    ...

Va executa perl -w -T 1.pl

Fără opțiunea „-S”, scriptul va eșua probabil cu:

    /usr/bin/env: 'perl -w -T': Nu există un astfel de fișier sau director

Pentru mai multe detalii, consultați documentația completă.

NOTE
Paginile POSIX exec(3p) spun:
    "multe aplicații existente presupun în mod greșit că pornesc cu anumite semnale stabilite la acțiunea implicită și/sau deblocate.... Prin urmare, este mai bine să nu blocați sau să ignorați semnalele între execuții fără un motiv explicit pentru a face acest lucru și, mai ales, să nu blocați semnalele între execuții ale unor programe arbitrare (care nu cooperează îndeaproape)."

AUTOR
Scris de Richard Mlynarik, David MacKenzie, și Assaf Gordon.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
sigaction(2), sigprocmask(2), signal(7)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/env>
sau local rulând comanda: «info '(coreutils) env invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.